#pragma once


class CivHydrTest
{
public:
	virtual void test(char* uri) = 0;
};

// 水力测试
class CivConHydrTest :public CivHydrTest
{
public:
	virtual void test(char* uri);
};

// 水质测试
class CivConQuaTest :public CivHydrTest
{
public:
	virtual void test(char* uri);
};

// 追踪分析
class CivConTrackTest :public CivHydrTest
{
public:
	virtual void test(char* uri);
};


/**
  获取水力分析报告测试
*/
class CivConGetRptTest :public CivHydrTest
{
public:
	virtual void test(char* uri);
};

/**
   上游追踪
*/
class CivUpstreamTrackingTest :public CivHydrTest
{
public:
	virtual void test(char* uri);
};

/**
   下游追踪
*/
class CivDownStreamTrackingTest :public CivHydrTest
{
public:
	virtual void test(char* uri);
};

/**
   水源供水范围分析
*/
class CivWaterSupplyScopeTest :public CivHydrTest
{
public:
	virtual void test(char* uri);
};

/**
   方案模拟接口
*/
class CivProjSimulationTest :public CivHydrTest
{
public:
	virtual void test(char* uri);
};